# Uses of Interface
com.opensymphony.sitemesh.Decorator

Packages that use Decorator
Package
Description
com.opensymphony.sitemesh
com.opensymphony.sitemesh.compatability
com.opensymphony.sitemesh.webapp.decorator

## Uses of Decorator in com.opensymphony.sitemesh

Methods in com.opensymphony.sitemesh that return Decorator
Modifier and Type
Method
Description
`Decorator`
DecoratorSelector.`selectDecorator(Content content, SiteMeshContext context)`

## Uses of Decorator in com.opensymphony.sitemesh.compatability

Classes in com.opensymphony.sitemesh.compatability that implement Decorator
Modifier and Type
Class
Description
`class`
`OldDecorator2NewDecorator`
Adapts a SiteMesh 2 `Decorator` to a SiteMesh 3 `Decorator`.
Methods in com.opensymphony.sitemesh.compatability that return Decorator
Modifier and Type
Method
Description
`Decorator`
DecoratorMapper2DecoratorSelector.`selectDecorator(Content content, SiteMeshContext context)`

## Uses of Decorator in com.opensymphony.sitemesh.webapp.decorator

Classes in com.opensymphony.sitemesh.webapp.decorator that implement Decorator
Modifier and Type
Class
Description
`class`
`BaseWebAppDecorator`
Convenient base class for all Java web-app based decorators that make use of the Servlet API.
`class`
`DispatchedDecorator`
Decorator that dispatches to another path in the Servlet Container (such as a JSP or path mapped to a Servlet).
`class`
`ExternalDispatchedDecorator`
Decorator that dispatches to another path in A DIFFERENT WEB-APP in the same Servlet Container (such as a JSP or path mapped to a Servlet).
`class`
`NoDecorator`
If no decorator is to be applied to a page, this will ensure the original content gets written out.